published on Friday, Feb 20, 2026 by stackitcloud
published on Friday, Feb 20, 2026 by stackitcloud
Organization Role Assignment resource schema.
This resource is part of the iam experiment and is likely going to undergo significant changes or be removed in the future. Use it at your own discretion.
Example Usage
resource "stackit_authorization_organization_role_assignment" "example" {
resource_id = "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
role = "owner"
subject = "john.doe@stackit.cloud"
}
# Only use the import statement, if you want to import an existing organization role assignment
import {
to = stackit_authorization_organization_role_assignment.import-example
id = "${var.organization_id},${var.org_role_assignment_role},${var.org_role_assignment_subject}"
}
Create AuthorizationOrganizationRoleAssignment Resource
Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.
Constructor syntax
new AuthorizationOrganizationRoleAssignment(name: string, args: AuthorizationOrganizationRoleAssignmentArgs, opts?: CustomResourceOptions);@overload
def AuthorizationOrganizationRoleAssignment(resource_name: str,
args: AuthorizationOrganizationRoleAssignmentArgs,
opts: Optional[ResourceOptions] = None)
@overload
def AuthorizationOrganizationRoleAssignment(resource_name: str,
opts: Optional[ResourceOptions] = None,
resource_id: Optional[str] = None,
role: Optional[str] = None,
subject: Optional[str] = None)func NewAuthorizationOrganizationRoleAssignment(ctx *Context, name string, args AuthorizationOrganizationRoleAssignmentArgs, opts ...ResourceOption) (*AuthorizationOrganizationRoleAssignment, error)public AuthorizationOrganizationRoleAssignment(string name, AuthorizationOrganizationRoleAssignmentArgs args, CustomResourceOptions? opts = null)
public AuthorizationOrganizationRoleAssignment(String name, AuthorizationOrganizationRoleAssignmentArgs args)
public AuthorizationOrganizationRoleAssignment(String name, AuthorizationOrganizationRoleAssignmentArgs args, CustomResourceOptions options)
type: stackit:AuthorizationOrganizationRoleAssignment
properties: # The arguments to resource properties.
options: # Bag of options to control resource's behavior.
Parameters
- name string
- The unique name of the resource.
- args AuthorizationOrganizationRoleAssignmentArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- resource_name str
- The unique name of the resource.
- args AuthorizationOrganizationRoleAssignmentArgs
- The arguments to resource properties.
- opts ResourceOptions
- Bag of options to control resource's behavior.
- ctx Context
- Context object for the current deployment.
- name string
- The unique name of the resource.
- args AuthorizationOrganizationRoleAssignmentArgs
- The arguments to resource properties.
- opts ResourceOption
- Bag of options to control resource's behavior.
- name string
- The unique name of the resource.
- args AuthorizationOrganizationRoleAssignmentArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- name String
- The unique name of the resource.
- args AuthorizationOrganizationRoleAssignmentArgs
- The arguments to resource properties.
- options CustomResourceOptions
- Bag of options to control resource's behavior.
Constructor example
The following reference example uses placeholder values for all input properties.
var authorizationOrganizationRoleAssignmentResource = new Stackit.AuthorizationOrganizationRoleAssignment("authorizationOrganizationRoleAssignmentResource", new()
{
ResourceId = "string",
Role = "string",
Subject = "string",
});
example, err := stackit.NewAuthorizationOrganizationRoleAssignment(ctx, "authorizationOrganizationRoleAssignmentResource", &stackit.AuthorizationOrganizationRoleAssignmentArgs{
ResourceId: pulumi.String("string"),
Role: pulumi.String("string"),
Subject: pulumi.String("string"),
})
var authorizationOrganizationRoleAssignmentResource = new AuthorizationOrganizationRoleAssignment("authorizationOrganizationRoleAssignmentResource", AuthorizationOrganizationRoleAssignmentArgs.builder()
.resourceId("string")
.role("string")
.subject("string")
.build());
authorization_organization_role_assignment_resource = stackit.AuthorizationOrganizationRoleAssignment("authorizationOrganizationRoleAssignmentResource",
resource_id="string",
role="string",
subject="string")
const authorizationOrganizationRoleAssignmentResource = new stackit.AuthorizationOrganizationRoleAssignment("authorizationOrganizationRoleAssignmentResource", {
resourceId: "string",
role: "string",
subject: "string",
});
type: stackit:AuthorizationOrganizationRoleAssignment
properties:
resourceId: string
role: string
subject: string
AuthorizationOrganizationRoleAssignment Resource Properties
To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.
Inputs
In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.
The AuthorizationOrganizationRoleAssignment resource accepts the following input properties:
- Resource
Id string - organization Resource to assign the role to.
- Role string
- Role to be assigned. Available roles can be queried using stackit-cli:
stackit curl https://authorization.api.stackit.cloud/v2/permissions - Subject string
- Identifier of user, service account or client. Usually email address or name in case of clients
- Resource
Id string - organization Resource to assign the role to.
- Role string
- Role to be assigned. Available roles can be queried using stackit-cli:
stackit curl https://authorization.api.stackit.cloud/v2/permissions - Subject string
- Identifier of user, service account or client. Usually email address or name in case of clients
- resource
Id String - organization Resource to assign the role to.
- role String
- Role to be assigned. Available roles can be queried using stackit-cli:
stackit curl https://authorization.api.stackit.cloud/v2/permissions - subject String
- Identifier of user, service account or client. Usually email address or name in case of clients
- resource
Id string - organization Resource to assign the role to.
- role string
- Role to be assigned. Available roles can be queried using stackit-cli:
stackit curl https://authorization.api.stackit.cloud/v2/permissions - subject string
- Identifier of user, service account or client. Usually email address or name in case of clients
- resource_
id str - organization Resource to assign the role to.
- role str
- Role to be assigned. Available roles can be queried using stackit-cli:
stackit curl https://authorization.api.stackit.cloud/v2/permissions - subject str
- Identifier of user, service account or client. Usually email address or name in case of clients
- resource
Id String - organization Resource to assign the role to.
- role String
- Role to be assigned. Available roles can be queried using stackit-cli:
stackit curl https://authorization.api.stackit.cloud/v2/permissions - subject String
- Identifier of user, service account or client. Usually email address or name in case of clients
Outputs
All input properties are implicitly available as output properties. Additionally, the AuthorizationOrganizationRoleAssignment resource produces the following output properties:
- Id string
- The provider-assigned unique ID for this managed resource.
- Id string
- The provider-assigned unique ID for this managed resource.
- id String
- The provider-assigned unique ID for this managed resource.
- id string
- The provider-assigned unique ID for this managed resource.
- id str
- The provider-assigned unique ID for this managed resource.
- id String
- The provider-assigned unique ID for this managed resource.
Look up Existing AuthorizationOrganizationRoleAssignment Resource
Get an existing AuthorizationOrganizationRoleAssignment resource’s state with the given name, ID, and optional extra properties used to qualify the lookup.
public static get(name: string, id: Input<ID>, state?: AuthorizationOrganizationRoleAssignmentState, opts?: CustomResourceOptions): AuthorizationOrganizationRoleAssignment@staticmethod
def get(resource_name: str,
id: str,
opts: Optional[ResourceOptions] = None,
resource_id: Optional[str] = None,
role: Optional[str] = None,
subject: Optional[str] = None) -> AuthorizationOrganizationRoleAssignmentfunc GetAuthorizationOrganizationRoleAssignment(ctx *Context, name string, id IDInput, state *AuthorizationOrganizationRoleAssignmentState, opts ...ResourceOption) (*AuthorizationOrganizationRoleAssignment, error)public static AuthorizationOrganizationRoleAssignment Get(string name, Input<string> id, AuthorizationOrganizationRoleAssignmentState? state, CustomResourceOptions? opts = null)public static AuthorizationOrganizationRoleAssignment get(String name, Output<String> id, AuthorizationOrganizationRoleAssignmentState state, CustomResourceOptions options)resources: _: type: stackit:AuthorizationOrganizationRoleAssignment get: id: ${id}- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- resource_name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- Resource
Id string - organization Resource to assign the role to.
- Role string
- Role to be assigned. Available roles can be queried using stackit-cli:
stackit curl https://authorization.api.stackit.cloud/v2/permissions - Subject string
- Identifier of user, service account or client. Usually email address or name in case of clients
- Resource
Id string - organization Resource to assign the role to.
- Role string
- Role to be assigned. Available roles can be queried using stackit-cli:
stackit curl https://authorization.api.stackit.cloud/v2/permissions - Subject string
- Identifier of user, service account or client. Usually email address or name in case of clients
- resource
Id String - organization Resource to assign the role to.
- role String
- Role to be assigned. Available roles can be queried using stackit-cli:
stackit curl https://authorization.api.stackit.cloud/v2/permissions - subject String
- Identifier of user, service account or client. Usually email address or name in case of clients
- resource
Id string - organization Resource to assign the role to.
- role string
- Role to be assigned. Available roles can be queried using stackit-cli:
stackit curl https://authorization.api.stackit.cloud/v2/permissions - subject string
- Identifier of user, service account or client. Usually email address or name in case of clients
- resource_
id str - organization Resource to assign the role to.
- role str
- Role to be assigned. Available roles can be queried using stackit-cli:
stackit curl https://authorization.api.stackit.cloud/v2/permissions - subject str
- Identifier of user, service account or client. Usually email address or name in case of clients
- resource
Id String - organization Resource to assign the role to.
- role String
- Role to be assigned. Available roles can be queried using stackit-cli:
stackit curl https://authorization.api.stackit.cloud/v2/permissions - subject String
- Identifier of user, service account or client. Usually email address or name in case of clients
Package Details
- Repository
- stackit stackitcloud/pulumi-stackit
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
stackitTerraform Provider.
published on Friday, Feb 20, 2026 by stackitcloud
